<% local form, viewlibrary, page_info = ... 
htmlviewfunctions = require("htmlviewfunctions")
html = require("acf.html")
%>

<H1><%= html.html_escape(form.label) %></H1>
<% 
for name,val in pairs(form.value) do val.name = name end
form.value.table.readonly = true
form.value.table.type = "text"
form.value.chain.readonly = true
form.value.position.readonly = true
form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action
htmlviewfunctions.displayformstart(form)
%>

<H2>Rule Identification</H2><DL>
<% 
htmlviewfunctions.displayformitem(form.value.table)
htmlviewfunctions.displayformitem(form.value.chain)
htmlviewfunctions.displayformitem(form.value.position)
%>
</DL><H2>Basic Parameters</H2><DL>
<% 
htmlviewfunctions.displayformitem(form.value.jump)
htmlviewfunctions.displayformitem(form.value.protocol)
htmlviewfunctions.displayformitem(form.value.in_interface)
htmlviewfunctions.displayformitem(form.value.out_interface)
htmlviewfunctions.displayformitem(form.value.source)
htmlviewfunctions.displayformitem(form.value.destination)
%>
</DL><DL id="details">
<%
htmlviewfunctions.displayformitem(form.value.goto)
htmlviewfunctions.displayformitem(form.value.fragment)
htmlviewfunctions.displayformitem(form.value.set_counters)
%>
</DL><H2>Extended Parameters</H2><DL>
<% 
htmlviewfunctions.displayformitem(form.value.comment)
htmlviewfunctions.displayformitem(form.value.addrtype_src_type)
htmlviewfunctions.displayformitem(form.value.addrtype_dst_type)
htmlviewfunctions.displayformitem(form.value.icmp_type)
htmlviewfunctions.displayformitem(form.value.src_range)
htmlviewfunctions.displayformitem(form.value.dst_range)
htmlviewfunctions.displayformitem(form.value.mac_source)
htmlviewfunctions.displayformitem(form.value.sports)
htmlviewfunctions.displayformitem(form.value.dports)
htmlviewfunctions.displayformitem(form.value.ports)
htmlviewfunctions.displayformitem(form.value.state)
htmlviewfunctions.displayformitem(form.value.tcp_sport)
htmlviewfunctions.displayformitem(form.value.tcp_dport)
htmlviewfunctions.displayformitem(form.value.udp_sport)
htmlviewfunctions.displayformitem(form.value.udp_dport)
%>
</DL><H2><%= html.html_escape(form.option) %></H2>
<% htmlviewfunctions.displayformend(form) %>
